# Makefile.in generated by automake 1.9.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/openwbem
pkglibdir = $(libdir)/openwbem
pkgincludedir = $(includedir)/openwbem
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o pbulk -g users
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv6--netbsdelf-eabihf
host_triplet = armv6--netbsdelf-eabihf
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = cim ifcs common http xml client services cimxmllistener \
	provider provideragent wql authenticators authorizers \
	requesthandlers repositories providerifcs cimom providers mof \
	tools
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run aclocal-1.9
AIX = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run tar
AR = $(shell pwd)/$(top_srcdir)/ow_ar.sh /usr/bin/ar --
AUTOCONF = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run automake-1.9
AWK = /usr/bin/awk
BINLINKAPPENDFLAGS = 
CBINLINKFLAGS =    -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3 -fno-web
CLINK = gcc
CPP = gcc -E
CPPFLAGS = -I/usr/include -I/usr/pkg/include
CURRENT_LINK_MODE_FLAGS = 
CXX = c++
CXXBINLINKFLAGS = -pthread  -Wl,-Bdynamic -Wl,-E -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib  -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CXXBUNDLELIBLINKFLAGS = 
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-enforce-eh-specs -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3
CXXLINK = c++
CXXSHAREDLIBLINKFLAGS = -pthread -shared -fPIC -Wl,-soname -Wl,$@.$(LIBRARY_BINARY_VERSION) -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISABLE_ASSOCIATION_TRAVERSAL_FALSE = 
DISABLE_ASSOCIATION_TRAVERSAL_TRUE = #
DISABLE_DIGEST_FALSE = 
DISABLE_DIGEST_TRUE = #
DISABLE_INSTANCE_MANIPULATION_FALSE = 
DISABLE_INSTANCE_MANIPULATION_TRUE = #
DISABLE_NAMESPACE_MANIPULATION_FALSE = 
DISABLE_NAMESPACE_MANIPULATION_TRUE = #
DISABLE_PROPERTY_OPERATIONS_FALSE = 
DISABLE_PROPERTY_OPERATIONS_TRUE = #
DISABLE_QUALIFIER_DECLARATION_FALSE = 
DISABLE_QUALIFIER_DECLARATION_TRUE = #
DISABLE_SCHEMA_MANIPULATION_FALSE = 
DISABLE_SCHEMA_MANIPULATION_TRUE = #
DL_LIB = 
DYNAMIC_EXPORT_FLAG = 
DYNAMIC_LINK_FLAGS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_CMPI_FALSE = #
ENABLE_CMPI_TRUE = 
ENABLE_DB4_REPOSITORY_FALSE = 
ENABLE_DB4_REPOSITORY_TRUE = #
EXEEXT = 
FALSE_PATHNAME = false
HAVE_FLEX_FALSE = #
HAVE_FLEX_TRUE = 
HAVE_PERL_EMBED_FALSE = 
HAVE_PERL_EMBED_TRUE = #
HAVE_SLP_FALSE = 
HAVE_SLP_TRUE = #
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = 
LIB_EXT = so
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/makeinfo
MV = /bin/mv
OBJEXT = o
OPENWBEM_LIBRARY_VERSION = 4
OPENWBEM_MAJOR_VERSION = 3
OPENWBEM_MICRO_VERSION = 2
OPENWBEM_MINOR_VERSION = 2
OPENWBEM_VERSION = 3.2.2
OW_NETWARE_INSTALL_FALSE = 
OW_NETWARE_INSTALL_TRUE = #
OW_STATIC_LINKING_FALSE = 
OW_STATIC_LINKING_TRUE = #
PACKAGE = openwbem
PACKAGE_BUGREPORT = openwbem-public@lists.sourceforge.net
PACKAGE_NAME = OpenWBEM
PACKAGE_PREFIX = 
PACKAGE_PREFIX_D = 
PACKAGE_STRING = OpenWBEM 3.2.2
PACKAGE_TARNAME = openwbem
PACKAGE_VERSION = 3.2.2
PAM_LIB = -lpam
PATH_SEPARATOR = :
PERL = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/perl
PIDFILE_DIR = /var/run
RANLIB = ranlib
RM = /bin/rm
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SLP_LIB = 
SSL_LIBS = -lssl -lcrypto
STATIC_LINK_FLAGS = 
STATIC_SERVICES = 
STRIP = 
TRUE_PATHNAME = true
USE_AIX_AUTHENTICATE_FALSE = 
USE_AIX_AUTHENTICATE_TRUE = #
USE_PAM_FALSE = #
USE_PAM_TRUE = 
VERSION = 3.2.2
YACC = yacc
Z_LIBS = -lz
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = armv6--netbsdelf-eabihf
build_alias = armv6--netbsdelf-eabihf
build_cpu = armv6
build_os = netbsdelf-eabihf
build_vendor = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv6--netbsdelf-eabihf
host_alias = armv6--netbsdelf-eabihf
host_cpu = armv6
host_os = netbsdelf-eabihf
host_vendor = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(install_sh) -d
oldincludedir = /usr/include
perl_archlibexp = 
perl_embed_ccflags = 
perl_embed_ldflags = 
perl_privlibexp = 
perl_useshrplib = 
prefix = /usr/pkg
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
MOFDIR = mof
#MOFDIR = 
#MOFDIR = 
#MOFDIR = 
#MOFDIR = 
CIMXMLLISTENERDIR = cimxmllistener
#CIMXMLLISTENERDIR = 
CIMXMLLISTENER_FILES = $(top_builddir)/src/cimxmllistener/libowhttpxmllistener.a
#CIMXMLLISTENER_FILES = 
SUBDIRS = \
cim \
ifcs \
common \
 \
http \
 \
xml \
 \
client \
 \
services \
$(CIMXMLLISTENERDIR) \
 \
provider \
 \
provideragent \
 \
wql \
authenticators \
authorizers \
requesthandlers \
repositories \
providerifcs \
cimom \
providers \
 \
$(MOFDIR) \
tools

#STATIC_CIMOM_FILES = \
#$(top_builddir)/src/common/libopenwbem.a \
#$(top_builddir)/src/provider/libowprovider.a \
#$(top_builddir)/src/cimom/common/libowcimomcommon.a \
#$(top_builddir)/src/cimom/server/libowserver.a \
#$(top_builddir)/src/provider/libowprovider.a \
#$(top_builddir)/src/provideragent/libowprovideragent.a \
#$(top_builddir)/src/repositories/hdb/libowrepositoryhdb.a \
#$(top_builddir)/src/providerifcs/cpp/libowcppprovifc.a \
#$(top_builddir)/src/wql/common/libowwqlcommon.a \
#$(top_builddir)/src/wql/libowwql.a \
#$(top_builddir)/src/xml/libowxml.a \
#$(top_builddir)/db/db/libowdb.a

#STATIC_CLIENT_FILES = \
#$(top_builddir)/src/client/libowclient.a \
#$(top_builddir)/src/mof/libowmofc.a

#PAM_FILES = \
#$(top_builddir)/src/authenticators/pam/libpamauthentication.a \
#$(top_builddir)/src/authenticators/pamcl/libpamclauthentication.a

##AIX_AUTH_FILES = $(top_builddir)/src/authenticators/aix/libaixauthentication.a
#STATIC_SERVICE_FILES = \
#$(top_builddir)/src/authorizers/simple/libowsimpleauthorizer.a \
#$(top_builddir)/src/authorizers/simple2/libowsimpleauthorizer2.a \
#$(PAM_FILES) \
#$(AIX_AUTH_FILES) \
#$(top_builddir)/src/authenticators/simple/libsimpleauthentication.a \
#\
#$(top_builddir)/src/cimom/indication/libowindicationserver.a \
#$(top_builddir)/src/cimom/indication/libowindicationreplayer.a \
#$(top_builddir)/src/providers/cpp/indication/IndicationRepLayer/libowprovindIndicationRepLayer.a \
#\
#$(CIMXMLLISTENER_FILES) \
#\
#$(top_builddir)/src/http/client/libowhttpclient.a \
#$(top_builddir)/src/http/common/libowhttpcommon.a \
#$(top_builddir)/src/services/http/libowservicehttp.a \
#\
#\
#$(top_builddir)/src/requesthandlers/cimxml/libowrequesthandlercimxml.a \
#\
#$(top_builddir)/src/requesthandlers/binary/libowrequesthandlerbinary.a 

##STATIC_IFC_FILES = \
##$(top_builddir)/src/providerifcs/cpp/libowcppprovifc.a

#STATIC_IFC_FILES = \
#$(top_builddir)/src/providerifcs/cpp/libowcppprovifc.a \
#$(top_builddir)/src/providerifcs/cmpi/common/libcmpisupport.a \
#$(top_builddir)/src/providerifcs/cmpi/libcmpiprovifc.a \
#$(top_builddir)/src/providerifcs/npi/common/libnpisupport.a

#STATIC_PROVIDER_FILES = \
#$(top_builddir)/src/providers/cpp/indication/IndicationRepLayer/libowprovindIndicationRepLayer.a \
#$(top_builddir)/src/providers/cpp/indicationexport/libcppindicationexportxmlhttpprovider.a \
#$(top_builddir)/src/providers/cpp/instance/CIM_Namespace/libowprovinstCIM_Namespace.a \
#$(top_builddir)/src/providers/cpp/instance/CIM_IndicationFilter/libowprovinstCIM_IndicationFilter.a \
#$(top_builddir)/src/providers/cpp/instance/CIM_IndicationSubscription/libowprovCIM_IndicationSubscription.a \
#$(top_builddir)/src/providers/cpp/instance/CIM_NamespaceInManager/libowprovinstCIM_NamespaceInManager.a \
#$(top_builddir)/src/providers/cpp/instance/OW_NameSpace/libowprovinstOW_NameSpace.a \
#$(top_builddir)/src/providers/cpp/instance/OpenWBEM_ObjectManager/libowprovinstOpenWBEM_ObjectManager.a \
#$(top_builddir)/src/providers/cpp/instance/OpenWBEM_UnitaryComputerSystem/libowprovinstOpenWBEM_UnitaryComputerSystem.a \
#$(top_builddir)/src/providers/cpp/polled/unloader/libowprovpollUnloader.a \
#$(top_builddir)/src/providers/cpp/instance/OpenWBEM_ConfigSettingData/libowprovinstOpenWBEM_ConfigSettingData.a

#STATIC_SERVICE_FLAGS = \
#$(PAM_LIB) $(Z_LIBS) $(DYNAMIC_LINK_FLAGS) $(DL_LIB) $(CURRENT_LINK_MODE_FLAGS)


# In most cases, this library will be ignored.  However, when static services
# are used, it will be required! 
#OPENWBEM_STATIC_ALL = libopenwbem_all.a

# We only want to link against .a libraries, so use all of the dynamic
# libraries as names to be replaced. 
#EXTERNAL_PROVIDER_FILES = $(filter %.a,$(sort $(EXTERNAL_PROVIDERS:%.so=%.a) $(EXTERNAL_PROVIDERS:%.dylib=%.a) $(EXTERNAL_PROVIDERS:%.sl=%.a)))
#TEMPOBJDIR = .libOWall
#CIMOMD_MAIN = $(top_builddir)/src/cimom/libowcimomd_main.a
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
install-exec-local:
clean: clean-recursive

clean-am: clean-generic clean-local mostlyclean-am

distclean: distclean-recursive
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am:

install-exec-am: install-exec-local

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
	clean clean-generic clean-local clean-recursive ctags \
	ctags-recursive distclean distclean-generic \
	distclean-recursive distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am \
	install-exec-local install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-generic \
	mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
	uninstall uninstall-am uninstall-info-am


# Everything below here belongs to the creation of a static cimom.

#install-exec-local : install-ow-static-lib install-ow-static-cimomd

#$(OPENWBEM_STATIC_ALL): $(STATIC_CIMOM_FILES) $(STATIC_SERVICE_FILES) $(STATIC_PROVIDER_FILES) $(STATIC_CLIENT_FILES) $(STATIC_IFC_FILES) $(EXTERNAL_PROVIDER_FILES)
#	echo "External providers: $(EXTERNAL_PROVIDER_FILES)"; \
#	$(AR) cru $@ $^; \
#	if [ "x$(EXTERNAL_PROVIDER_FILES)" != "x" ]; then \
#		for i in $(EXTERNAL_PROVIDER_FILES) ""; do \
#			$(SHELL) $(top_srcdir)/fake_library_creator.sh $(EXPORT_PREFIX) $$i; \
#			LIB_BASE=`echo $$i | cut -f1 -d'.'`; \
#			FSL="$$LIB_BASE.fsl"; \
#			if [ -e "$$FSL" ]; then \
#				echo "Installing fake library for $$i"; \
#				$(INSTALL_PROGRAM) $FSL $(DESTDIR)$(thelibdir)/$$LIB_BASE.so; \
#				rm -f "$$FSL"; \
#			else \
#				echo "Not installing $$i because no exports were found."; \
#			fi; \
#		done; \
#	fi

#install-ow-static-lib: $(OPENWBEM_STATIC_ALL)
#	$(INSTALL) $^ $(DESTDIR)$(libdir)
##install-ow-static-cimomd: $(OPENWBEM_STATIC_ALL) owcimomd.def
##	rm -rf $(TEMPOBJDIR); \
##	mkdir $(TEMPOBJDIR); \
##	cd $(TEMPOBJDIR) && ar x ../$(OPENWBEM_STATIC_ALL); \
##	cd ..; \
##	nm -Bpg $(TEMPOBJDIR)/*.o | \
##			$(AWK) '{ if((($$2 == "T") || \
##				   ($$2 == "D") || \
##				   ($$2 == "B")) && \
##				  (length($$3) < 255) && \
##				  (substr($$3,1,1) != ".")) \
##				{ print $$3 } }' | \
##			sort -u | $(SED) '$$!s/$$/,/' > owcimomd.exp; \
##	$(CXX) $(CXXBINLINKFLAGS) -o owcimomd.nlm -Wl,--def-file,owcimomd.def $(TEMPOBJDIR)/*.o $(CIMOMD_MAIN) $(LIBS) $(SSL_LIBS) $(DYNAMIC_EXPORT_FLAG) $(STATIC_SERVICE_FLAGS) $(BINLINKAPPENDFLAGS); \
##	rm -rf $(TEMPOBJDIR); \
##	echo 'REPLACING THE DYNAMIC CIMOM WITH A STATIC VERSION!'; \
##	$(INSTALL_PROGRAM) owcimomd.nlm $(DESTDIR)$(sbindir)/owcimomd.nlm;

##owcimomd.def:
##	echo 'description "OpenWBEM CIMOM Daemon"' >$@
##	echo 'copyright "Copyright (C) 2000-2004 Vintela, Inc. All rights reserved"' >>$@
##	echo 'version $(OPENWBEM_MAJOR_VERSION),$(OPENWBEM_MINOR_VERSION),$(OPENWBEM_MICRO_VERSION)' >>$@
##	echo 'stacksize 1065536' >>$@
##	echo 'Flag_On 0x00400200' >>$@
##	echo 'export @owcimomd.exp' >> $@

##clean-local:
##	rm -f owcimomd.* $(OPENWBEM_STATIC_ALL)
#install-ow-static-cimomd: $(OPENWBEM_STATIC_ALL)
#	rm -rf $(TEMPOBJDIR); \
#	mkdir $(TEMPOBJDIR); \
#	cd $(TEMPOBJDIR) && ar x ../$(OPENWBEM_STATIC_ALL); \
#	cd ..; \
#	$(CXX) $(CXXBINLINKFLAGS) -o static_cimomd $(TEMPOBJDIR)/*.o $(CIMOMD_MAIN) $(SSL_LIBS) $(DYNAMIC_EXPORT_FLAG) $(STATIC_SERVICE_FLAGS) $(BINLINKAPPENDFLAGS); \
#	rm -rf $(TEMPOBJDIR); \
#	echo 'REPLACING THE DYNAMIC CIMOM WITH A STATIC VERSION!'; \
#	$(INSTALL_PROGRAM) static_cimomd $(DESTDIR)$(sbindir)/owcimomd;

#clean-local:
#	rm -f static_cimomd $(OPENWBEM_STATIC_ALL)

# need to have a version of this so 'make clean' doesn't puke.
clean-local:
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
